#
# Conditional build:
%bcond_without	python3	# CPython 3.x module

Summary:	PAM wrapper library - tool to test PAM applications and modules
Summary(pl.UTF-8):	Biblioteka obudowująca PAM - narzędzie do testowania aplikacji i modułów PAM
Name:		pam_wrapper
Version:	1.1.5
Release:	2
License:	GPL v3+
Group:		Libraries
Source0:	https://www.samba.org/ftp/cwrap/%{name}-%{version}.tar.gz
# Source0-md5:	133b430047413ed2bfe95b37dfa73427
URL:		https://cwrap.org/pam_wrapper.html
BuildRequires:	cmake >= 3.5.0
# for tests
#BuildRequires:	cmocka-devel
BuildRequires:	pam-devel
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This component of cwrap allows you to either test your PAM (Linux-PAM
and OpenPAM) application or module. For testing PAM applications there
is a simple PAM module called pam_matrix. If you plan to test a PAM
module you can use the pamtest library. It simplifies testing of
modules. You can combine it with the cmocka unit testing framework or
you can use the provided Python bindings to write tests for your
module in Python.

%description -l pl.UTF-8
Ten komponent cwrap pozwala na testowanie aplikacji lub modułów PAM
(Linux-PAM lub OpenPAM). Do testowania aplikacji PAM służy prosty
moduł PAM o nazwie pam_matrix. Do testowania modułów służy biblioteka
pamtest, upraszczająca testowanie. Można łączyć ją ze szkieletem
testów jednostkowych cmocka, albo użyć dostarczonych wiązań Pythona do
pisania własnych testów modułu w Pythonie.

%package -n python3-pypamtest
Summary:	PamTest module for Python 3.x
Summary(pl.UTF-8):	Moduł PamTest dla Pythona 3.x
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-libs >= 1:3.2

%description -n python3-pypamtest
PamTest module for Python 3.x.

%description -n python3-pypamtest -l pl.UTF-8
Moduł PamTest dla Pythona 3.x.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README.md
%attr(755,root,root) %{_libdir}/libpam_wrapper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpam_wrapper.so.0
%attr(755,root,root) %{_libdir}/libpam_wrapper.so
%attr(755,root,root) %{_libdir}/libpamtest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpamtest.so.0
%attr(755,root,root) %{_libdir}/libpamtest.so
%dir %{_libdir}/pam_wrapper
%attr(755,root,root) %{_libdir}/pam_wrapper/pam_chatty.so
%attr(755,root,root) %{_libdir}/pam_wrapper/pam_get_items.so
%attr(755,root,root) %{_libdir}/pam_wrapper/pam_matrix.so
%attr(755,root,root) %{_libdir}/pam_wrapper/pam_set_items.so
%{_includedir}/libpamtest.h
%{_pkgconfigdir}/libpamtest.pc
%{_pkgconfigdir}/pam_wrapper.pc
%{_libdir}/cmake/pam_wrapper
%{_libdir}/cmake/pamtest
%{_mandir}/man1/pam_wrapper.1*
%{_mandir}/man8/pam_chatty.8*
%{_mandir}/man8/pam_get_items.8*
%{_mandir}/man8/pam_matrix.8*
%{_mandir}/man8/pam_set_items.8*

%if %{with python3}
%files -n python3-pypamtest
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/pypamtest.so
%endif
%changelog
* Mon Mar 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam_wrapper.git;a=log;h=master

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 189fda7
- python 3.13 rebuild

* Sun Aug 20 2023 Jakub Bogusz <qboosh@pld-linux.org> 2e4f858
- updated to 1.1.5; python2 support dropped (1.1.4 saved in python-pypamtest.spec)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> eca849a
- rebuild with python 3.10

* Mon Feb 14 2022 Jakub Bogusz <qboosh@pld-linux.org> b20f930
- updated to 1.1.4

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> b888329
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> d624c11
- release 2 (by relup.sh)

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 9534206
- updated to 1.1.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> dd630fa
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 709463e
- updated to 1.0.7

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9988a48
- release 2 (by relup.sh)

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> a7e8b33
- updated to 1.0.6
- python- and python3- subpackages

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 7c63b6e
- updated to 1.0.4

* Wed Apr 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 3c5a59e
- updated to 1.0.3

* Wed Jun 08 2016 Jakub Bogusz <qboosh@pld-linux.org> ae2d2ee
- updated to 1.0.2

* Fri Jan 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 9e0fe23
- new

